RadiusDimensionAttributes Class

The RadiusDimensionAttributes class contains attributes to manage all the attributes of a straight dimension.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
[SerializableAttribute]
public class RadiusDimensionAttributes : DimensionSetBaseAttributes

The RadiusDimensionAttributes type exposes the following members.

Constructors
  NameDescription
Public methodRadiusDimensionAttributes
Creates a new radius dimension attributes instance which loads standard attributes.
Public methodRadiusDimensionAttributes(String)
Creates a new radius dimension attributes instance that loads the specified attributes.
Top
Properties
  NameDescription
Public propertyArrowhead
The arrowhead attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.)
Public propertyColor
The color of the dimension line.
(Inherited from DimensionSetBaseAttributes.)
Public propertyFormat
The format attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.)
Public propertyPlacing
The placing attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.)
Public propertyText
The text attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.)
Public propertyTransparentBackground
The dimension text background transparency. (transparent/opaque)
(Inherited from DimensionSetBaseAttributes.)
Public propertyTrueColor
The true color (RGB enabled) of the dimension line.
(Inherited from DimensionSetBaseAttributes.)
Top
Methods
  NameDescription
Public methodIsEqual
Compares the current object with an object of the same type.
(Overrides AttributesBaseIsEqual(Object).)
Public methodLoadAttributes
Loads attributes from the specified attribute file.
(Overrides AttributesBaseLoadAttributes(String).)
Top
Examples
using Tekla.Structures.Drawing;

public class Example
{
       public void Example1()
       {
           RadiusDimensionAttributes attributes = new RadiusDimensionAttributes("MyAttributes");
       }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next